Subject: Re: JTAG debugger for MPC82xx/MPC83xx

From: Greg Weeks <[email-masked]>
Date: Tue, 19 Sep 2006 20:22:04 -0400

Steven Hein wrote:
> I've been researching the available JTAG debuggers that
> support the MPC82xx/MPC83xx family, and I've found these
> choices so far:
>
> * Abatron BDI-2000
> * Green Hills Probe
> * Freescale's PowerTAP PRO for PowerPC
> * Lauterbach TRACE32-ICD
> * WindRiver ICE
> * Embedded Toolsmiths Guardian-SE (BUT...this is no longer
>   being sold, according to an email response I received
>   from Embedded Toolsmiths)
>
> We will definitely want one with a network connection,
> and will will run the debugger software from a Linux host.
> Ideally, we would also like one that provides a library
> to allow us to write apps to function the debugger.
>
> Can anyone comment on what JTAG debugger they are using,
> and how have your experiences been?   Are there any other
> good options besides the ones mentioned above.
> I'd appreciate any input.
>   
The only one I've used for power pc is the BDI. I've not tried it on the 
83xx yet, but others here have. It worked well with the 82xx. I mostly 
used gdb to talk to it over ethernet.

Greg Weeks